#ifndef sync_time_tag_message_h
#define sync_time_tag_message_h

namespace host_server{
	/*
	 * 用于保存时间同步节点的数据
	*/
    struct tag_message
    {
        unsigned long long  m_local_id;		    // 本节点的分站号
		unsigned long long  m_sync_root_id;		// 同步根节点的分站号
        unsigned short      m_sync_num;			// 当前时间同步号
        unsigned long long  m_receive_time;		// 接收时间

        tag_message():m_local_id(0), m_sync_root_id(0), m_sync_num(0), m_receive_time(0){}

        tag_message(unsigned long long local_id, unsigned long long sync_root_id, unsigned short sync_num, unsigned long long receive_time): m_local_id(local_id), m_sync_root_id(sync_root_id), m_sync_num(sync_num), m_receive_time(receive_time){}
    };
}

#endif
