#ifndef WEB_CONNECT_H
#define WEB_CONNECT_H
#include<atomic>
#include<vector>
#include<string>
#include<memory>
#include"sio_message.h"
#include"wsClient.h"

class web_connect
{
public:
    web_connect();

    static void init(const std::vector<std::string>&uri_list,int32_t st, std::map<std::string, sys::MSG_HANDLE_FUNC_TYPE>& MsgFuncList);

    static void start_beatheart_monitor();

    static bool connect();

    static void close();

private:
    //static void _beatheart_callback( int ID, std::string const& name,sio::message::ptr const& data, bool need_ack, sio::message::list &ack_resp );

    static void _beatheart_thread();

    //static std::atomic<int> _beatheart_count;
};

#endif // WEB_CONNECT_H
