#ifndef MODULE_OTHER_ALARM_H
#define MODULE_OTHER_ALARM_H
#include "module_singleton_base.h"
#include "card.h"
#include "ant.h"

class module_other_alarm:public singleton_base<module_other_alarm>
{
private:
    friend class singleton_base<module_other_alarm>;
    module_other_alarm()
    {
    }

public:
    // 电量低告警
	static void power_lower_serious(std::shared_ptr<card_location_base> card_ptr);
	// 电量正常
    static void power_normal(std::shared_ptr<card_location_base> card_ptr);
};

#endif // MODULE_OTHER_ALARM_H
